<?php

require_once("tests/StandardUnitTestAbstract.php");

class Classes_ClassDeclarationTest extends StandardUnitTestAbstract
{
    
    public function setUp()
    {
        $this->sniffs = array('Maarch.Classes.ClassDeclaration');    
    }
	
    /**
     * Returns the lines where errors should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of errors that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getErrorList()
    {
        return Array(
            3 => 1,
            14 => 1,
            15 => 1,
            20 => 1,
            21 => 1,
            39 => 1,
            44 => 1,
            52 => 1,
            59 => 1,
            65 => 1,
            71 => 1,
            107 => 1,
            108 => 1,
            110 => 1,
            115 => 1,
            120 => 1,
            125 => 1,
            130 => 1,
            135 => 1,
        );
    }

    public function getWarningList()
    {
        return array(
            26 => 1,
            75 => 1,
        );
    }
}